#
# spec file for package fsc-beiscsi (Version 1.0.748.0)
#
# Copyright (c) 2006-2007 Fujitsu Siemens Computers
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://support.novell.com
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv kernel-source kernel-syms klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

%define driver_version 1.0.748.0
%define kver %(rpm -q --qf '%{VERSION}-%{RELEASE}' kernel-source)
%define arch %_target_cpu
%define install_mod_dir updates 
%define dist_string "SuSE SLES_10"
%define kver_orig 2.6.16.21-0.8

Name:           fsc-beiscsi
Group:          System/Kernel
Version:        1.0.748.0
Release:        2
License:        GPL
Summary:        beiscsi driver 1.0.748.0 for PRIMERGY servers
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  kernel-source kernel-syms
Recommends:     fsc-libzypp
Source0:        be_drvr_src.tgz
Source1:        pci-ids.txt
Source2:        preamble
Patch0:         fsc-beiscsi-1.0.716.0.diff
Patch1:         fsc-beiscsi-version.diff
Patch2:         fsc-beiscsi-fsc_buildinfo.diff
%suse_kernel_module_package -p preamble um debug vmi vmipae xen xenpae

%description
This package provides the beiscsi driver from ServerEngines LLC
for PRIMERGY servers, as released by Fujitsu Siemens Computers.

%package KMP

Summary:        beiscsi driver for PRIMERGY servers
Group:          System/Kernel

%description KMP
This package provides the beiscsi driver from ServerEngines LLC
for PRIMERGY servers, as released by Fujitsu Siemens Computers.

%prep
%setup -n drivers
%patch0 -p1
%patch1 -p1
%patch2 -p1
rm -f Module.supported
for x in beiscsi; do 
    echo "$x external" >>Module.supported
done
set -- *
mkdir {source,obj}
mv "$@" source/
mv source/scsi/beiscsi/se_ec3210osm.c _buildinfo
if [ %{kver} = %{kver_orig} ]; then _kstat=Original; else _kstat=Update; fi
sed '
s|^"FSC Release: .*\\n"$|"FSC Release: 0\\n"|
s|^"FSC Build Date: .*\\n"$|"FSC Build Date: '$(date +%Y/%m/%d-%H:%M)'\\n"|
s|^"FSC Kernel Release: .*\\n"$|"FSC Kernel Release: '$_kstat' '%{dist_string}' ('%{kver}')\\n"|
' <_buildinfo >source/scsi/beiscsi/se_ec3210osm.c
rm -f _buildinfo

%build
export EXTRA_CFLAGS='-DVERSION=\"%driver_version\"'
export FSC_DIST=sles10
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
        make -C /usr/src/linux-obj/%{arch}/$flavor modules M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=%{install_mod_dir}
for flavor in %flavors_to_build; do
    mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kver}-$flavor
    make -C /usr/src/linux-obj/%{arch}/$flavor modules_install M=$PWD/obj/$flavor
done
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pci.ids.d
install -m 644 %_sourcedir/pci-ids.txt $RPM_BUILD_ROOT%{_datadir}/pci.ids.d/~%{name}-%{version}

%post
if [ -x /usr/bin/merge-pciids ]; then LC_ALL=C /usr/bin/merge-pciids 2>/dev/null; fi

%postun
if [ -x /usr/bin/merge-pciids ]; then LC_ALL=C /usr/bin/merge-pciids 2>/dev/null; fi

%files
%defattr (-,root,root)
/%{_datadir}/pci.ids.d

%changelog
* Tue Nov 11 2008 - poswald@novell.com
-Initial PLDP build of the fsc-beiscsi package
